// Member Bean
package auction;
import java.sql.*;
import java.util.*;

import java.rmi.*;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.PortableRemoteObject;


public class MemberBean
{
    private  String uname,pwd, email,phone,address;

    public  void setUname(String uname)
    { this.uname= uname; }

    public String getUname()
    {  return uname; }

    public  void setPwd(String pwd)
    { this.pwd= pwd; }

    public String getPwd()
    {  return pwd; }



    public  void setEmail(String email)
    { this.email= email; }

    public String getEmail()
    {  return email; }


   public  void setPhone(String phone)
    { this.phone= phone; }

    public String getPhone()
    {  return phone; }


    public  void setAddress(String address)
    { this.address= address; }

    public String getAddress()
    {  return address; }




    public boolean login()
    {
     Connection con = null;
     PreparedStatement ps = null;
     boolean logged = false;
     try
     {
      con = getConnection();
      ps = con.prepareStatement("select email  from users  where  uname = ? and pwd= ?");
      ps.setString(1,uname);
      ps.setString(2,pwd);

      ResultSet rs = ps.executeQuery();

      if ( rs.next())
      {
            email = rs.getString("email");
            logged = true;
      }

     }
     catch(Exception ex)
     {
         System.out.println( ex.getMessage());
     }
     finally
     {
       clean(con,ps);
     }
     return logged;

 } // end of isValid

 public boolean updatePassword()
 {
   Connection con = null;
   PreparedStatement ps= null;

   try
   {
     con = getConnection();
     String cmd = "update users set pwd=?  where uname = ? ";

     ps = con.prepareStatement(cmd);
     ps.setString(1,pwd);
     ps.setString(2,uname);

     int cnt = ps.executeUpdate();
     if ( cnt==1 )
        return true;
     else
        return false;

  }
  catch(Exception ex)
  {
      System.out.println( ex.getMessage());
      return false;
  }
  finally
  {
       clean(con,ps);
  }


 } // end of updatePassword



  public  boolean  registerUser()  throws Exception
  {
	 try
	 {
      Properties h = new Properties();
      h.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory");
      h.put(Context.PROVIDER_URL, "t3://localhost:7001");
      Context ctx =  new InitialContext(h);

      Object home= (auction.ejb.MemberHome) ctx.lookup("auction.member");
      auction.ejb.MemberHome mhome = (auction.ejb.MemberHome) home;
      auction.ejb.Member member=null;

      member = (auction.ejb.Member) mhome.create(uname,pwd,email,phone,address);
      return true;
      }
      catch(Exception ex)
      {
        System.out.println(ex.getMessage());
        return false;
      }

 } // end of registerUser


 public  void clean(Connection con, PreparedStatement ps)
 {
   try
   { if ( ps != null )  ps.close();
     if ( con != null) con.close();
   }
    catch(Exception ex)
    { System.out.println(ex.getMessage()); }
 }

 public static Connection  getConnection() throws Exception
 {
   Class.forName("oracle.jdbc.driver.OracleDriver");
   // connect using Thin driver
   Connection con =   DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:oracle8i",
		"auction","auction");
   return con;
 }

} // end of bean








